<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>JS Homework no. 15</title>
</head>
<body>
<script>
    "use strict";

    function factorial (number) {
        if (number === 1) {
            return 1;
        } else {
            return number * factorial(number-1);
        }
    }

    function numberChecker (number) {
        while (number === 0 || isNaN(number)) {
            number = +prompt("Reenter the number:", number);
        }
        return number;
    }

    let userInputNumber = +prompt("Please, enter random number:");
    let userNumber = numberChecker(userInputNumber);

    alert(`The factorial of ${userNumber} is: ` + factorial(userNumber));

</script>
</body>
</html>

<!--Рекурсия - это вызов функцией самой себя.-->
<!--Используется для того, чтобы "условно бесконечно" повторять выполнение-->
<!--определенной инструкции до тех пор, пока не будет выполнено условие инструкции.-->
